package com.nme.basket.util;
import mochi.as3.MochiScores;
import mochi.as3.MochiServices;
import nme.display.Sprite;
import nme.Lib;
/**
 * ...
 * @author David
 */
	
class LeaderBoard extends Sprite 
{	
	public function new(p_code:String, p_codeBoard:String, ?p_score:Int=0, ?p_name:String, p_callback:Void -> Void) 
	{
		super();
		Lib.current.addChild(this);
		MochiServices.connect(p_code, root);
		if (p_score == 0) {
			MochiScores.showLeaderboard({boardID: p_codeBoard, onClose:p_callback});
		}else {
			MochiScores.showLeaderboard({boardID: p_codeBoard, score:p_score, onClose:p_callback});
		}
	}

}